Bug 172589 - CVE-2005-3353 PHP exif data DoS
CVE-2005-3353 PHP exif data DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,public=20051002,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 12:48 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-831
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 14:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-11-07 12:48:36 EST
PHP exif data DoS

An error in the way php processes exif image data has been found.
This flaw will cause PHP to enter an infinite loop when
exif_read_data() against the malicious image.  The PHP process will
continue to consume computing resources until the PHP process is
killed.
http://bugs.php.net/bug.php?id=34704

When run through httpd, the PHP process will eventually timeout and be
killed.  This is only a temporary DoS when PHP is run from httpd..


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Joe Orton 2005-11-07 13:52:05 EST
Note this is not actually an infinite loop but an infinite function recursion,
so it causes an immediate process crash rather than a loop-then-timeout.
Comment 2 Mark J. Cox (Product Security) 2005-11-10 04:47:05 EST
This issue doesn't affect RHEL2.1 as exif_read_data is undefined and as per php
docs this function is available in PHP 4 >= 4.2.0, PHP 5 while RHEL-2.1 contains
4.1.2
Comment 3 Red Hat Bugzilla 2005-11-10 14:07:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-831.html

Note You need to log in before you can comment on or make changes to this bug.